OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
HeaderSection

# HeaderSection_Protocol Class Reference

Protocol for HeaderSection Entities
It requires HeaderSection as a Resource
.

`#include <HeaderSection_Protocol.hxx>`

Inheritance diagram for HeaderSection_Protocol:

[legend]

## Public Member Functions
Standard_EXPORT | HeaderSection_Protocol ()
virtual Standard_EXPORT Standard_Integer | TypeNumber (const Handle(Standard_Type)&atype) const
| Returns a Case Number for each of the HeaderSection Entities .
virtual Standard_EXPORT Standard_CString | SchemaName () const
| Returns the Schema Name attached to each class of Protocol To be redefined by each sub-class Here, SchemaName returns "(DEFAULT)" was C++ : return const .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT HeaderSection_Protocol::HeaderSection_Protocol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const HeaderSection_Protocol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_Protocol.

virtual Standard_EXPORT Standard_CString HeaderSection_Protocol::SchemaName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_Protocol.

virtual Standard_EXPORT Standard_Integer HeaderSection_Protocol::TypeNumber | ( | const Handle(Standard_Type)& | atype | ) | const`[virtual]`

| Reimplemented from StepData_Protocol.

The documentation for this class was generated from the following file:

- HeaderSection_Protocol.hxx